Highlighted

Invalid Version Error

Avatar

22-12-2008

Using Livecycle, I have sucessfully made changes to my form in the past (an older form originaly created in Acrobat). Today I added a page, everything looked good til I went to save. Message error was "failed to save to the file". When I opened the Report Palette, I got the following error:

Generating PDF Document....Invalid version; the current version of the XFA template model exceeds the capability of Actobat/Adobe Reader 7.0.5 PDF generated sucessfully. Unable to open or create file F;\data\business development\etc...

Permission denied.

2 warnings\errors reported.



I've never had issue w/ this. Granted an older form but I am operating on Acrobat Adobe 9 Pro w/ Livecyle designer. Any fix it's out there? I lost my new nice added page 😞

Replies

Highlighted

Avatar

Avatar

pguerett

Total Posts

7.7K

Likes

611

Correct Answer

692

Avatar

pguerett

Total Posts

7.7K

Likes

611

Correct Answer

692
pguerett

23-12-2008

There are two errors here.



The first is a warning (Invalid version; the current version of the XFA template model exceeds the capability of Actobat/Adobe Reader 7.0.5 PDF generated sucessfully)indicating that you have used a feature that is beyond the selected target version. It will not stop the PDF from being created but the feature may not work correctly in the 7.0.5 version.



The second is an error when Designer trys to write the the file system. Is the file set to Read Only? Do you have write permissions to that drive location? Is the file opened by someone else? Try giving it a new name and see if it will create the file for you. If not then it is a drive permission issue. If you can then it is that specific file name issue.
Highlighted

Avatar

12-02-2009

You might want to check this link and the one at the bottom of the site.



http://forms.stefcameron.com/2009/02/11/careful-with-form-compatibility-settings/#more-306



They tell about what invokes which template. I had the same problem. I changed the form properties Performance tab to not include server cache (the top option), and lost the message.



Good luck!
Highlighted

Avatar

Avatar

John_Funk

Avatar

John_Funk

John_Funk

22-07-2010

If you encounter the following error using LiveCycle Output ES there is a very simple solution.

<Warning> <com.adobe.document.XMLFormService> <000000> <$$$/com/adobe/document/xmlform/msg.XFA=Invalid version: The current version of the XFA template model exceeds the capability of Acrobat / Adobe Reader 7.>

This indicates that you have told LiveCycle Output to generate a document that is usable by Reader 7, although your form template you built with LiveCycle Designer specifies that this template is targeted for a later version of Reader in my case the target is Reader 7.0.5. 

This can easily occur because LiveCycle Designer’s default target version is 7.0.5, and lots of people specify “7.0 or later” as the target in the process designer in LiveCycle Workspace.  Attached is a graphic to help understand the problem and the solution.